# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "ironmark"
version = "1.11.4"
authors = ["ph1p"]
build = "build.rs"
exclude = [
    "playground/*",
    "benchmark/*",
    "tests/*",
    "wasm/*",
    "package.json",
    "pnpm-lock.yaml",
    ".releaserc.cjs",
    ".npmignore",
    ".github/*",
    "node_modules/*",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Fast Markdown to HTML parser written in Rust with WebAssembly bindings"
homepage = "https://github.com/ph1p/ironmark"
documentation = "https://docs.rs/ironmark"
readme = "README.md"
keywords = [
    "markdown",
    "parser",
    "html",
    "commonmark",
    "wasm",
]
categories = [
    "parsing",
    "text-processing",
    "wasm",
]
license = "MIT"
repository = "https://github.com/ph1p/ironmark"

[features]
bench-md4c = []
cli = []
serde = ["dep:serde"]

[lib]
name = "ironmark"
crate-type = [
    "staticlib",
    "rlib",
]
path = "src/lib.rs"

[[bin]]
name = "ironmark"
path = "src/bin/ironmark.rs"
required-features = ["cli"]

[dependencies.compact_str]
version = "0.8"
features = ["serde"]

[dependencies.memchr]
version = "2"

[dependencies.rustc-hash]
version = "2"

[dependencies.serde]
version = "1"
features = ["derive"]
optional = true

[dependencies.smallvec]
version = "1"
features = ["union"]

[dev-dependencies.comrak]
version = "0.36"
default-features = false

[dev-dependencies.criterion]
version = "0.5"

[dev-dependencies.markdown]
version = "1"

[dev-dependencies.markdown-it]
version = "0.6"

[dev-dependencies.pulldown-cmark]
version = "0.13"

[dev-dependencies.serde]
version = "1"
features = ["derive"]

[dev-dependencies.serde_json]
version = "1"

[build-dependencies]

[profile.release]
opt-level = 3
lto = true
codegen-units = 1
panic = "abort"
strip = true

[profile.release-wasm]
opt-level = 3
inherits = "release"
